Subject: Re: linux-next: manual merge of the powerpc tree with the arm tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 08 Mar 2012 16:52:31 +1100

On Thu, 2012-03-08 at 14:51 +1100, Stephen Rothwell wrote:
> Hi Mikey,
> 
> On Thu, 08 Mar 2012 13:33:56 +1100 Michael Neuling <[email-masked]> wrote:
> >
> > Surely we only need SPARSE_IRQ now and not MAY_HAVE_SPARSE_IRQ.  
> > 
> > In fact, keeping MAY_HAVE_SPARSE_IRQ seems to make SPARSE_IRQ user
> > selectable, which we don't want anymore since ad5b7f1350c2.
> 
> Yes, indeed. I will fix up the merge resolution for tomorrow.

This is my fault. Grant's patch had a collision and I manually fixed it
up. While doing that, I put back MAY_HAVE_SPARSE_IRQ which the patch
originally took out.

Cheers,
Ben.